Bug 13906 - nslookup -q=A != nslookup set type=A (in utility mode)
nslookup -q=A != nslookup set type=A (in utility mode)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-13 11:26 EDT by samkaski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-13 11:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description samkaski 2000-07-13 11:26:01 EDT
I discovered this while trying to query a DNS server. Here, let me
demonstrate.

-- demonstration--

samkaski@vortex:~$ nslookup -q=A irc.fi.quakenet.eu.org ns1.quakenet.eu.org
*** Can't find server name for address 194.192.186.225: Server failed
*** Default servers are not available
samkaski@vortex:~$

18:17:57.586699 eth1 > 212.90.74.152.1030 > 194.192.186.225.domain: 3653+
PTR? 225.186.192.194.in-addr.arpa. (46) (DF) (ttl 64, id 0)
18:17:57.672753 eth1 < 194.192.186.225.domain > 212.90.74.152.1030: 3653
ServFail 0/0/0 (46) (ttl 53, id 47931)

samkaski@vortex:~$ nslookup
Default Server:  localhost
Address:  127.0.0.1

> server ns1.quakenet.eu.org
Default Server:  ns1.quakenet.eu.org
Address:  194.192.186.225

> set type=A
> irc.fi.quakenet.eu.org
Server:  ns1.quakenet.eu.org
Address:  194.192.186.225

Name:    irc.fi.quakenet.eu.org
Address:  128.214.123.8

> exit

18:18:48.433937 eth1 > 212.90.74.152.1030 > 194.192.186.225.domain: 13517+
A? irc.fi.quakenet.eu.org. (40) (DF) (ttl 64, id 0)
18:18:48.492745 eth1 < 194.192.186.225.domain > 212.90.74.152.1030: 13517*
1/2/2 irc.fi.quakenet.eu.org. A 128.214.123.8 (139) (ttl 53, id 47947)

--demonstration--

What this means is that when nslookup is used from the command line
to search for a A type record it incorrectly tries to resolve the
PTR record for the given DNS server. This might or might not be an
issue (depends if the remote server allows PTR-queries or not).

Dig works correctly.

samkaski@vortex:~$ rpm -qa|grep ^bind-utils
bind-utils-8.2.2_P5-9
samkaski@vortex:~$
Comment 1 Pekka Savola 2000-07-15 18:40:58 EDT
This is how nslookup works.  Just try e.g. 'nslookup -q=A irc.fi.quakenet.eu.org
ns.funet.fi'.  You'll get answer nice and neat.

The thing here is that nslookup (used in this way) first asks the specified
server a PTR of its own address (here 225.186.192.194.in-addr.arpa.).  That
server/zone in question can't handle the situation; It has been misconfigured.


Note You need to log in before you can comment on or make changes to this bug.